## bazaar-doc 1.4

=== debian/changelog ===
bazaar-doc (1.4) unstable; urgency=low

  * Release 1.4

 -- Robert Collins <robertc@robertcollins.net>  Mon, 30 May 2005 16:38:14 +1000

bazaar-doc (0.1.20050331-1) unstable; urgency=low

  * Initial Release.
  * New source package.

 -- Rob Weir <rweir@ertius.org>  Thu, 31 Mar 2005 11:49:30 +1000
