=== debian/control ===
Source: bazaar-doc
Section: doc
Priority: optional
Maintainer: Rob Weir <rweir@ertius.org>
Build-Depends: debhelper (>= 4.0.0), python-docutils, tetex-bin, tetex-extra, autoconf, automaken
Standards-Version: 3.6.1

Package: bazaar-doc
Architecture: all
Suggests: gv | ps-viewer, lynx | www-browser
Description: bazaar revision control system (documentation)
 A collection of howtos and short documents about using bazaar.
